<template>
  <transition
    name="banner-title-slide-fade"
    :duration="duration"
    :appear="appear"
    mode="out-in"
  >
    <slot></slot>
  </transition>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    duration: {
      type: Number,
      default: 500,
    },
    appear: {
      type: Boolean,
      default: false,
    },
  },
});
</script>
<style>
.banner-title-slide-fade-enter-active {
  transition: translate 0.5s ease-in-out, opacity 0.5s ease-in-out;
}

.banner-title-slide-fade-enter-from {
  translate: 40px;
  opacity: 0;
}
</style>
